---
updatedAt: 2025-04-30T20:26:42.000Z
agentTools:
  projectIndex: https://developers.edu-nation.net/llms.txt
---

# /detailed_family_balance/fields

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Finance",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://gw.edu-nation.net/api"
    }
  ],
  "paths": {
    "/detailed_family_balance/fields": {
      "post": {
        "tags": [
          "Detailed Family Balance"
        ],
        "parameters": [
          {
            "name": "client_secret",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "required": [
                  "year_id"
                ],
                "type": "object",
                "properties": {
                  "year_id": {
                    "type": "integer",
                    "default": "6"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "Name": {
                      "type": "string"
                    },
                    "Code": {
                      "type": "string"
                    },
                    "FieldType": {
                      "type": "string"
                    },
                    "IsBuiltIn": {
                      "type": "boolean"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "Message": {
                      "type": "string",
                      "example": "string"
                    },
                    "Success": {
                      "type": "boolean",
                      "example": "false"
                    },
                    "StatusCode": {
                      "type": "integer",
                      "example": "404"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Bearer": {
        "type": "http",
        "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"",
        "scheme": "bearer"
      }
    }
  },
  "security": [
    {
      "Bearer": [
        "Bearer"
      ]
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```